Domains
Delete domain
DELETE
Deletes the domain for the provided domain name.
sso-keyheader
Authorization<token>Standard GoDaddy SSO header authorization. Format: sso-key YOUR_API_KEY:YOUR_API_SECRET
domain*stringAn aname is a DNS domain name using only LDH characters (lower-case ASCII
letters, digits & hyphens) in its labels, i.e. is IDNA2008-encoded in the case
of an internationalized domain name (IDN).
Examples:
example.orgxn--exmple-cua.de
Invalid Examples:
PartialCapExample.com- mixed case, should be lowercased
exämple.de- this is an IDN and should be IDNA-encoded
Match
^(?:[a-z0-9](?:[a-z0-9-]{0,61}[a-z0-9])?\.)+[a-z0-9][a-z0-9-]{0,61}[a-z0-9]$Format
anamecustomerId*stringAn identifier for a customer. A special alias 'my' is supported when accessing the authenticated customer's own data.
Match
^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}$|^MY$|^my$Default
"my"X-Request-Id?stringA unique identifier for the request
Nothing is returned when the domain settings are deleted successfully.
curl -X DELETE 'https://api.afternic.com/v3/aftermarket/customers/my/domains/string'Example Response
Empty